Piloterr

Instagram User Info

GET
/v2/instagram/user/info

Gather user insights efficiently from Instagram for targeted marketing strategies.

Credit cost: 1 credit per call

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

The Instagram user to look up. Accepts a full profile URL or a username.

Accepted formats:

  • https://www.instagram.com/example-user/: full profile URL
  • example-user: username only

Example:

https://www.instagram.com/example-user/

Notes:

  • Private accounts: Profile data is returned but posts array will be empty.
  • Deactivated accounts: Returns a not-found error.

Response Body

Successful response

application/json
  1. response
id?string
name?string
posts?array<>
avatar?string
gender?string
private?boolean
website?unknown
username?string
verified?boolean
followers?integer
following?integer
description?string
category_name?string
business_account?boolean
business_category_name?string
Example Request
curl -X GET 'https://api.piloterr.com/v2/instagram/user/info?query=string'
Example Response
{  "id": "4213518589",  "name": "Alex Martin",  "posts": [    {      "id": "3859342446496501512",      "likes": 1337767,      "caption": "🇫🇷",      "comments": 8331,      "is_video": false,      "shortcode": "DWPI4HmAs8I",      "timestamp": 1774289493,      "display_url": "https://scontent-cdg4-1.cdninstagram.com/v/t51.82787-15/655936260_18460602253142590_4270314222914824377_n.jpg"    },    {      "id": "3855144622124864107",      "likes": 1768534,      "caption": "nos vemos en cuartos de final ¡HalaMadrid!",      "comments": 10146,      "is_video": false,      "shortcode": "DWAOZu_gpJr",      "timestamp": 1773789073,      "display_url": "https://scontent-cdg4-1.cdninstagram.com/v/t51.82787-15/652735959_18458319658142590_2295182466998776037_n.jpg"    },    {      "id": "3854258635190482004",      "likes": 1527854,      "caption": "back to business.",      "comments": 12098,      "is_video": false,      "shortcode": "DV9E87XArRU",      "timestamp": 1773683455,      "display_url": "https://scontent-cdg4-1.cdninstagram.com/v/t51.82787-15/652806606_18457940533142590_3633003369562801254_n.jpg"    }  ],  "avatar": "https://scontent-cdg4-3.cdninstagram.com/placeholder/example-user.jpg",  "gender": "ambiguous",  "private": false,  "website": null,  "username": "example-user",  "verified": true,  "followers": 130723780,  "following": 498,  "description": "Example profile.",  "category_name": "Athlete",  "business_account": true,  "business_category_name": "None"}